Coding Log



JeKyll 설치하기

본 카테고리는 정적 블로그 생성도구인 Jekyll에 관하여 작성하는 곳이다.

공식 사이트의 내용을 좀 더 풀어쓰고 스크린샷을 첨부하여 좀 더 상세히 기록하고자 한다.

참고 Jekyll 공식 사이트

미리 설치해야 할 것

운영체제 : GNU/Linux, Unix, macOS

Ruby (Jekyll 2 : v1.9.3이상, Jekyll 3 : v2이상)

RubyGems

GCC

GNU Make

NodeJS 혹은 다른 JavaScript Runtime

Python 2.7

Windows의 경우 Jekyll in Window

Ruby 설치

사실 macOS에는 Ruby가 미리 설치되어 있다.

포스팅에 사용하는 컴퓨터는 2016년 맥북 프로 15인치 터치바 모델이다.

즉 macOS Sierra와 함께 Ruby 2.0.0 버전이 기본 설치되어 있다.

하지만 Jekyll을 설치하면서 Ruby도 업그레이드하기로 하였다.

brew install ruby

위의 명령어를 치면 최신 버전의 Ruby를 설치할 수 있다.

ruby -v

위의 명령어로 설치된 Ruby의 버전을 확인해보자.

현재 2.3.3 버전이 설치된 것을 확인할 수 있다.

RubyGems로 Jekyll 설치

터미널을 열어 아래의 커맨드를 실행한다.

gem install jekyll

2017년 2월 8일 기준으로 3.4.0 버전이 설치된다.

RubyGems를 이용하면 Jekyll의 gem dependency 요소들이 전부 자동 설치딘다.

만약 가장 최신 프리릴리즈 버전을 설치하고 싶다면 아래와 같이 커맨드를 입력한다.

gem install jekyll --pre

특정 프리릴리즈 버전을 설치하고 싶다면 아래와 같이 커맨드를 입력한다.

gem install jekyll -v '2.0.0.alpha.1'

개발 버전의 Jekyll을 설치하고 싶으면 아래와 같이 커맨드를 수행한다.

git clone git://github.com/jekyll/jekyll.git
cd jekyll
script/bootstrap
bundle exec rake build
ls pkg/*.gem | head -n 1 | xargs gem install -l

Xcode Command-Line Tools 설치

만약 macOS 환경에서 Jekyll 설치시 문제가 된다면 Xcode Command-Line Tools를 설치해야 한다.

보통 Xcode를 설치하면 자동으로 설치되지만, Xcode의 용량이 부담되는 경우 Command-Line Tools만 따로 설치할 수 있다.

xcode-select --install

터미널에서 위의 명령어를 입력하면 사용권 계약 창이 뜨며 설치가 된다.

설치된 후에는 아래 명령어를 입력하여 gcc가 제대로 설치되었는지 확인해야 한다.

gcc -v

위와 같은 화면이 출력되면 정상 설치된 것이다.

DISQUS 로드 중…
댓글 로드 중…

트랙백을 확인할 수 있습니다

URL을 배껴둬서 트랙백을 보낼 수 있습니다